function [ fx ] = tunedSineGenerator(x, sampleRate, frequence)
%sineGenerator Generator siusoidy
%  Detailed explanation goes here

l = length(frequence);

for i = 1:length(frequence)
    fx(i) = sin(frequence(i) * x(i) * (2 * pi) / sampleRate);
end